<?xml version="1.0" encoding="UTF-8"?>
<module rename-to='tabulardataportlet'>

	<inherits name='com.google.gwt.user.User' />

	<!-- Other module inherits -->
    <!--  <inherits name='com.extjs.gxt.ui.GXT' /> -->
    <inherits name='com.sencha.gxt.ui.GXT' />
 
	<inherits name="com.allen_sauer.gwt.log.gwt-log-TRACE" />
	<inherits name="com.google.gwt.resources.Resources" />
		
	<inherits name="org.gcube.portlets.user.tdwx.TabularDataWidgetX" />
	
	<!-- <inherits name='org.gcube.portlets.user.td.ciw.csvimporterwidget' /> -->
	
	<inherits name='org.gcube.portlets.user.td.gwtservice.TDGWTService' />	
	<inherits name='org.gcube.portlets.user.td.wizardwidget.Wizard' />
	<inherits name='org.gcube.portlets.user.td.widgetcommonevent.WidgetCommonEvent' />
	
	<inherits name='org.gcube.portlets.user.td.taskswidget.TdTasksWidget' /> 
	<inherits name='org.gcube.portlets.user.td.toolboxwidget.ToolBox' />
    <inherits name='org.gcube.portlets.user.td.openwidget.TDOpen' />
	<inherits name='org.gcube.portlets.user.td.sdmximportwidget.SDMXImportWizardTD' />
	<inherits name='org.gcube.portlets.user.td.sdmxexportwidget.SDMXExportWizardTD' /> 
	<inherits name='org.gcube.portlets.user.td.csvimportwidget.CSVImportWizardTD' />
	<inherits name='org.gcube.portlets.user.td.csvexportwidget.CSVExportWizardTD' />
	<inherits name='org.gcube.portlets.widgets.lighttree.WorkspacePortletLightTree' />
	

	<!--  <inherits name='org.gcube.data.analysis.tabulardata.ServiceData'/> -->
	<!-- Specify the app entry point class. -->
	<entry-point class='org.gcube.portlets.user.td.client.TabularDataPortlet' />

	<set-property name="log_DivLogger" value="ENABLED" />
	<set-property name="log_ConsoleLogger" value="ENABLED" />
	<set-property name="log_FirebugLogger" value="ENABLED" />
	<set-property name="log_GWTLogger" value="ENABLED" />
	<set-property name="log_SystemLogger" value="ENABLED" />



	<!-- Specify the paths for translatable code -->
	<source path='client' />
	<source path='shared' />

</module>
